Security Enhanced Linux Reference Policy

# Layer: services

## Module: wireguard

Interfaces

### Description:

WireGuard VPN.

### Interfaces:

wireguard_admin( domain , role )

##### Summary

All of the rules required to administrate a WireGuard environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

wireguard_domtrans( domain )

##### Summary

Execute WireGuard in the wireguard domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

wireguard_run( domain , role )

##### Summary

Execute WireGuard in the wireguard domain, and allow the specified role the wireguard domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return